polybori::groebner::VariablePairData Class Reference

This class defines VariablePairData. More...

`#include <VariablePairData.h>`

Inheritance diagram for polybori::groebner::VariablePairData:

## Public Member Functions

Polynomial | extract (const PolyEntryVector &gen) const
| VariablePairData (int i, idx_type v)
Public Member Functions inherited from polybori::groebner::PairData
virtual | ~PairData ()

## Public Attributes

int | i
idx_type | v

## Detailed Description

This class defines VariablePairData.

## Constructor & Destructor Documentation

polybori::groebner::VariablePairData::VariablePairData | ( | int | i,
|  | idx_type | v
| ) |  |

inline

## Member Function Documentation

Polynomial polybori::groebner::VariablePairData::extract | ( | const PolyEntryVector & | gen | ) | const

inline virtual

Implements polybori::groebner::PairData.

## Member Data Documentation

int polybori::groebner::VariablePairData::i

Referenced by polybori::groebner::CheckChainCriterion< StrategyType >::compute(), and polybori::groebner::NextSpoly::compute().

idx_type polybori::groebner::VariablePairData::v

Referenced by polybori::groebner::CheckChainCriterion< StrategyType >::compute(), and polybori::groebner::NextSpoly::compute().

The documentation for this class was generated from the following file:

- VariablePairData.h